Developer Portal
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
  1. Containers
  • Start Here
    • Overview
    • Getting started
    • Authentication
    • Testing
    • Errors & status codes
    • FAQ
  • General
    • Retrieve a list of vessels
      GET
    • Additional entity search
      GET
  • Screening
    • Screening a vessel
    • Watchlist checks
    • Additional checks
    • Movement history
    • Carbon rating
    • Submit a vessel for screening
      POST
    • Retrieve a list of transactions and their screening results
      GET
    • Ship & Flag Watchlist check
      GET
    • Company Watchlist check
      GET
    • Country Sanctions check
      GET
    • Ship movement history
      GET
    • Ship-to-Ship (STS) pairing screening
      GET
    • Company history check
      GET
    • P&I Club check
      GET
    • Vessel operational status
      GET
    • Flag history check
      GET
    • AIS positional discrepancy (spoofing) events
      GET
    • Periods of Non-Reporting
      GET
    • Carbon rating details
      GET
    • Get the PurpleTRAC Screening Report PDF
      GET
    • Submit a vessel for rescreening
      PUT
    • Archive a Screening
      PUT
  • Tracking
    • Voyage updates
    • Notification catalogue
    • Additional entities
    • Tracking a vessel
    • Enable a vessel for tracking
    • Remove additional entities from a tracked vessel
    • Add additional entities to a tracked vessel
    • List the additional entities on a transaction
    • Update voyage and tracking details
    • Get vessel positional data
    • Retrieve a list of vessel or bill of lading notifications
    • Get the PurpleTRAC Trade Report PDF
  • Bill of Lading
    • Carriers
    • Verification
    • Submit a Bill of Lading for screening
    • Get all BL Screening Results
    • Get a single BL screening result
    • Get the PurpleTRAC Bill of Lading Screening Report PDF
    • Enable tracking for a screened Bill of Lading
    • Get the PurpleTRAC Bill of Lading Tracking Report PDF
    • Disable tracking for a Bill of Lading
  • Containers
    • Screening
    • Carriers
    • Submit a Container for screening
      POST
    • Get all Container Screening Results
      GET
    • Archive Container
      PUT
    • Get a single Container screening result
      GET
    • Get the Container report
      GET
  • Schemas
    • BLVGetAllResultsResponse
    • BLVScreeningResponse
    • BLVLastScreeningResult
    • BLVScreeningResultDetails
    • ContainerRegistrationBody
    • ContainerRegistrationResponse
    • ContainerGetAllResultsResponse
    • ContainerScreeningResponse
    • CarbonRatings
    • CarbonRating
    • CompanySanctions
    • CompanySanction
    • CountryChecks
    • CountryCheck
    • StsPairings
    • StsPairing
    • OtherAssociations
    • OtherAssociation
    • CompanyHistoryChecks
    • CompanyHistoryCheck
    • ShipStatuses
    • ShipStatus
    • FlagHistoryChecks
    • FlagHistoryCheck
    • PositionalDiscrepancies
    • PositionalDiscrepancy
    • DiscrepancyZone
    • DiscrepancyPort
    • NonReportingResponse
    • NonReporting
    • Notifications
    • Notification
    • BLVNotification
    • BLVPortFull
    • BLVPortFallback
    • PortCallHistory
    • PortCallHistoryItem
    • Positions
    • Position
    • PositionInfo
    • RegistrationResponse
    • ShipDetails
    • ShipSanctions
    • ShipSanction
    • VesselTrackingResponse
    • VesselTransactionsResponse
    • Transaction
    • TransactionPutBody
    • TransactionPutResponse
    • TransactionRescreenResponse
    • LastPosition
    • ScreeningNotification
    • ScreeningResult
    • UserDetails
    • UserProfile
    • Error
    • InvalidContainerNumberResponse
    • VesselRegistrationBody
    • VesselTrackingRequest
    • BLRegistrationBody
    • AdditionalEntitySearchResponse
    • AdditionalEntity
    • AdditionalEntitiesRequestSchema
    • TrackingAdditionalEntity
    • TrackingAdditionalEntitiesResponse
    • TrackingAdditionalEntityInput
    • TrackingAdditionalEntitiesPutBody
    • TrackingAdditionalEntitiesPutResponse
    • TrackingAdditionalEntitiesDeleteBody
    • RemovedAdditionalEntity
    • TrackingAdditionalEntitiesDeleteResponse
    • TrackingAdditionalEntityError
    • FeatureDisabledError
    • ObjectNotFoundError
    • TransactionValidationError
    • VoyageUpdateRequest
    • VoyageUpdateResponse
    • PTracMeta
    • PTracVessel
    • PTracVesselSearchResponse
    • DuplicateTransactionError
  1. Containers

Get all Container Screening Results

Production
https://api.polestar-production.com
Production
https://api.polestar-production.com
GET
https://api.polestar-production.com
/purpletrac/v1/containers
Retrieve all the available Container screening results for the account.
Refer to Container Screening to see how to use this endpoint in a container screening workflow.

Request

Authorization
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
API Key
Add parameter in query
username
Example:
username: ********************
or
Query Params

Responses

🟢200OK
application/json
Every container screening on the account, each with its full results.
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.polestar-production.com/purpletrac/v1/containers?username=undefined&container_number=undefined&container_reference=undefined&overall_severity=undefined&scac=undefined&api_key=%3Capi-key%3E'
Response Response Example
200 - Three containers
{
    "item_count": 3,
    "next_link": null,
    "prev_link": null,
    "items": [
        {
            "container_screen_id": "8183da12-988f-4401-bc3f-3e64b451e654",
            "scac": "MAEU",
            "container_number": "TGBU6795701",
            "container_reference": "freeform custom reference field",
            "creation_date": "2023-11-28 12:28:22",
            "container_phase": "SCREEN",
            "screening_status": "SCREENING_COMPLETED",
            "overall_severity": "CRITICAL",
            "carrier_name": "Maersk",
            "carrier_severity": "CRITICAL",
            "port_of_loading": {
                "code": "AUADL",
                "name": "Adelaide",
                "state": "State of South Australia",
                "country": "Australia"
            },
            "port_of_discharge": {
                "code": "USOAK",
                "name": "Oakland",
                "state": "California",
                "country": "United States"
            },
            "screened_ports": [
                {
                    "code": "AUADL",
                    "country_code": "AUS",
                    "name": "Adelaide",
                    "severity": "OK"
                },
                {
                    "code": "USOAK",
                    "country_code": "USA",
                    "name": "Oakland",
                    "severity": "OK"
                }
            ],
            "ship_transactions": [
                {
                    "id": "2836479",
                    "imo_number": "9698252",
                    "vessel_name": "WIDE INDIA",
                    "vessel_severity": "WARNING",
                    "flag_code": "MHL",
                    "screen_results": [
                        {
                            "check": "COMPANY_SANCTIONS",
                            "status": "OK"
                        },
                        {
                            "check": "PSC_HISTORY",
                            "status": "OK"
                        },
                        {
                            "check": "SANCTIONS",
                            "status": "OK"
                        },
                        {
                            "check": "SHIP_MOVE_HIST",
                            "status": "WARNING"
                        }
                    ]
                }
            ],
            "container_events": [
                {
                    "journey_event_type": "Equipment",
                    "equipment_event_type": "GTIN",
                    "transport_event_type": "",
                    "event_description": "Gate in",
                    "event_datetime": "2023-10-20 21:09:00",
                    "event_classifier": "Actual",
                    "transport_mode": "Truck or rail",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Adelaide",
                    "location_country": "Australia",
                    "unlocode": "AUADL",
                    "location_severity": "OK",
                    "imo_number": "",
                    "vessel_name": "",
                    "vessel_severity": null,
                    "is_custom": false
                },
                {
                    "journey_event_type": "Equipment",
                    "equipment_event_type": "LOAD",
                    "transport_event_type": "",
                    "event_description": "Load",
                    "event_datetime": "2023-10-29 00:37:00",
                    "event_classifier": "Actual",
                    "transport_mode": "Vessel",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Adelaide",
                    "location_country": "Australia",
                    "unlocode": "AUADL",
                    "location_severity": "OK",
                    "imo_number": "9698252",
                    "vessel_name": "WIDE INDIA",
                    "vessel_severity": "WARNING",
                    "is_custom": false
                },
                {
                    "journey_event_type": "Transport",
                    "equipment_event_type": "",
                    "transport_event_type": "DEPA",
                    "event_description": "Vessel departure",
                    "event_datetime": "2023-10-29 06:10:00",
                    "event_classifier": "Actual",
                    "transport_mode": "Vessel",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Adelaide",
                    "location_country": "Australia",
                    "unlocode": "AUADL",
                    "location_severity": "OK",
                    "imo_number": "9698252",
                    "vessel_name": "WIDE INDIA",
                    "vessel_severity": "WARNING",
                    "is_custom": false
                },
                {
                    "journey_event_type": "Transport",
                    "equipment_event_type": "",
                    "transport_event_type": "ARRI",
                    "event_description": "Vessel arrival",
                    "event_datetime": "2023-11-30 17:00:00",
                    "event_classifier": "Estimated",
                    "transport_mode": "Vessel",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Oakland",
                    "location_country": "United States",
                    "unlocode": "USOAK",
                    "location_severity": "OK",
                    "imo_number": "9698252",
                    "vessel_name": "WIDE INDIA",
                    "vessel_severity": "WARNING",
                    "is_custom": false
                },
                {
                    "journey_event_type": "Equipment",
                    "equipment_event_type": "DISC",
                    "transport_event_type": "",
                    "event_description": "",
                    "event_datetime": null,
                    "event_classifier": "Estimated",
                    "transport_mode": "Vessel",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Oakland",
                    "location_country": "United States",
                    "unlocode": "USOAK",
                    "location_severity": "OK",
                    "imo_number": "9698252",
                    "vessel_name": "WIDE INDIA",
                    "vessel_severity": "WARNING",
                    "is_custom": true
                },
                {
                    "journey_event_type": "Equipment",
                    "equipment_event_type": "GTOT",
                    "transport_event_type": "",
                    "event_description": "",
                    "event_datetime": null,
                    "event_classifier": "Estimated",
                    "transport_mode": "Truck or rail",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Oakland",
                    "location_country": "United States",
                    "unlocode": "USOAK",
                    "location_severity": "OK",
                    "imo_number": "",
                    "vessel_name": "",
                    "vessel_severity": null,
                    "is_custom": true
                }
            ]
        },
        {
            "container_screen_id": "5f39a8c3-8710-4448-a88d-c47aaa61a39d",
            "scac": "MAEU",
            "container_number": "TGBU6795701",
            "container_reference": "freeform custom reference field",
            "creation_date": "2023-11-16 08:50:54",
            "container_phase": "SCREEN",
            "screening_status": "SCREENING_COMPLETED",
            "overall_severity": "CRITICAL",
            "carrier_name": "Maersk",
            "carrier_severity": "CRITICAL",
            "port_of_loading": {
                "code": "AUADL",
                "name": "Adelaide",
                "state": "State of South Australia",
                "country": "Australia"
            },
            "port_of_discharge": {
                "code": "USOAK",
                "name": "Oakland",
                "state": "California",
                "country": "United States"
            },
            "screened_ports": [
                {
                    "code": "AUADL",
                    "country_code": "AUS",
                    "name": "Adelaide",
                    "severity": "OK"
                },
                {
                    "code": "USOAK",
                    "country_code": "USA",
                    "name": "Oakland",
                    "severity": "OK"
                }
            ],
            "ship_transactions": [
                {
                    "id": "2812069",
                    "imo_number": "9698252",
                    "vessel_name": "WIDE INDIA",
                    "vessel_severity": "WARNING",
                    "flag_code": "MHL",
                    "screen_results": [
                        {
                            "check": "COMPANY_SANCTIONS",
                            "status": "OK"
                        },
                        {
                            "check": "PSC_HISTORY",
                            "status": "OK"
                        },
                        {
                            "check": "SANCTIONS",
                            "status": "OK"
                        },
                        {
                            "check": "SHIP_MOVE_HIST",
                            "status": "WARNING"
                        }
                    ]
                }
            ],
            "container_events": [
                {
                    "journey_event_type": "Equipment",
                    "equipment_event_type": "GTIN",
                    "transport_event_type": "",
                    "event_description": "Gate in",
                    "event_datetime": "2023-10-20 21:09:00",
                    "event_classifier": "Actual",
                    "transport_mode": "Truck or rail",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Adelaide",
                    "location_country": "Australia",
                    "unlocode": "AUADL",
                    "location_severity": "OK",
                    "imo_number": "",
                    "vessel_name": "",
                    "vessel_severity": null,
                    "is_custom": false
                },
                {
                    "journey_event_type": "Equipment",
                    "equipment_event_type": "LOAD",
                    "transport_event_type": "",
                    "event_description": "Load",
                    "event_datetime": "2023-10-29 00:37:00",
                    "event_classifier": "Actual",
                    "transport_mode": "Vessel",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Adelaide",
                    "location_country": "Australia",
                    "unlocode": "AUADL",
                    "location_severity": "OK",
                    "imo_number": "9698252",
                    "vessel_name": "WIDE INDIA",
                    "vessel_severity": "WARNING",
                    "is_custom": false
                },
                {
                    "journey_event_type": "Transport",
                    "equipment_event_type": "",
                    "transport_event_type": "DEPA",
                    "event_description": "Vessel departure",
                    "event_datetime": "2023-10-29 06:10:00",
                    "event_classifier": "Actual",
                    "transport_mode": "Vessel",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Adelaide",
                    "location_country": "Australia",
                    "unlocode": "AUADL",
                    "location_severity": "OK",
                    "imo_number": "9698252",
                    "vessel_name": "WIDE INDIA",
                    "vessel_severity": "WARNING",
                    "is_custom": false
                },
                {
                    "journey_event_type": "Transport",
                    "equipment_event_type": "",
                    "transport_event_type": "ARRI",
                    "event_description": "Vessel arrival",
                    "event_datetime": "2023-11-28 17:00:00",
                    "event_classifier": "Estimated",
                    "transport_mode": "Vessel",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Oakland",
                    "location_country": "United States",
                    "unlocode": "USOAK",
                    "location_severity": "OK",
                    "imo_number": "9698252",
                    "vessel_name": "WIDE INDIA",
                    "vessel_severity": "WARNING",
                    "is_custom": false
                },
                {
                    "journey_event_type": "Equipment",
                    "equipment_event_type": "DISC",
                    "transport_event_type": "",
                    "event_description": "",
                    "event_datetime": null,
                    "event_classifier": "Estimated",
                    "transport_mode": "Vessel",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Oakland",
                    "location_country": "United States",
                    "unlocode": "USOAK",
                    "location_severity": "OK",
                    "imo_number": "9698252",
                    "vessel_name": "WIDE INDIA",
                    "vessel_severity": "WARNING",
                    "is_custom": true
                },
                {
                    "journey_event_type": "Equipment",
                    "equipment_event_type": "GTOT",
                    "transport_event_type": "",
                    "event_description": "",
                    "event_datetime": null,
                    "event_classifier": "Estimated",
                    "transport_mode": "Truck or rail",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Oakland",
                    "location_country": "United States",
                    "unlocode": "USOAK",
                    "location_severity": "OK",
                    "imo_number": "",
                    "vessel_name": "",
                    "vessel_severity": null,
                    "is_custom": true
                }
            ]
        },
        {
            "container_screen_id": "95707b94-275c-4c9b-be80-8f77cf0d04e3",
            "scac": "MAEU",
            "container_number": "TGBU6795701",
            "container_reference": "freeform custom reference field",
            "creation_date": "2023-10-12 15:39:31",
            "container_phase": "SCREEN",
            "screening_status": "SCREENING_COMPLETED",
            "overall_severity": "CRITICAL",
            "carrier_name": "Maersk",
            "carrier_severity": "CRITICAL",
            "port_of_loading": {
                "code": "AUADL",
                "name": "Adelaide",
                "state": "State of South Australia",
                "country": "Australia"
            },
            "port_of_discharge": {
                "code": "USOAK",
                "name": "Oakland",
                "state": "California",
                "country": "United States"
            },
            "screened_ports": [
                {
                    "code": "AUADL",
                    "country_code": "AUS",
                    "name": "Adelaide",
                    "severity": "OK"
                },
                {
                    "code": "USOAK",
                    "country_code": "USA",
                    "name": "Oakland",
                    "severity": "OK"
                }
            ],
            "ship_transactions": [
                {
                    "id": "2741349",
                    "imo_number": "9698252",
                    "vessel_name": "WIDE INDIA",
                    "vessel_severity": "WARNING",
                    "flag_code": "MHL",
                    "screen_results": [
                        {
                            "check": "COMPANY_SANCTIONS",
                            "status": "OK"
                        },
                        {
                            "check": "PSC_HISTORY",
                            "status": "OK"
                        },
                        {
                            "check": "SANCTIONS",
                            "status": "OK"
                        },
                        {
                            "check": "SHIP_MOVE_HIST",
                            "status": "WARNING"
                        }
                    ]
                }
            ],
            "container_events": [
                {
                    "journey_event_type": "Equipment",
                    "equipment_event_type": "GTIN",
                    "transport_event_type": "",
                    "event_description": "",
                    "event_datetime": null,
                    "event_classifier": "Estimated",
                    "transport_mode": "Truck or rail",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Adelaide",
                    "location_country": "Australia",
                    "unlocode": "AUADL",
                    "location_severity": "OK",
                    "imo_number": "",
                    "vessel_name": "",
                    "vessel_severity": null,
                    "is_custom": true
                },
                {
                    "journey_event_type": "Equipment",
                    "equipment_event_type": "LOAD",
                    "transport_event_type": "",
                    "event_description": "",
                    "event_datetime": null,
                    "event_classifier": "Estimated",
                    "transport_mode": "Vessel",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Adelaide",
                    "location_country": "Australia",
                    "unlocode": "AUADL",
                    "location_severity": "OK",
                    "imo_number": "9698252",
                    "vessel_name": "WIDE INDIA",
                    "vessel_severity": "WARNING",
                    "is_custom": true
                },
                {
                    "journey_event_type": "Transport",
                    "equipment_event_type": "",
                    "transport_event_type": "DEPA",
                    "event_description": "Vessel departure",
                    "event_datetime": "2023-10-25 06:00:00",
                    "event_classifier": "Estimated",
                    "transport_mode": "Vessel",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Adelaide",
                    "location_country": "Australia",
                    "unlocode": "AUADL",
                    "location_severity": "OK",
                    "imo_number": "9698252",
                    "vessel_name": "WIDE INDIA",
                    "vessel_severity": "WARNING",
                    "is_custom": false
                },
                {
                    "journey_event_type": "Transport",
                    "equipment_event_type": "",
                    "transport_event_type": "ARRI",
                    "event_description": "Vessel arrival",
                    "event_datetime": "2023-11-28 17:00:00",
                    "event_classifier": "Estimated",
                    "transport_mode": "Vessel",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Oakland",
                    "location_country": "United States",
                    "unlocode": "USOAK",
                    "location_severity": "OK",
                    "imo_number": "9698252",
                    "vessel_name": "WIDE INDIA",
                    "vessel_severity": "WARNING",
                    "is_custom": false
                },
                {
                    "journey_event_type": "Equipment",
                    "equipment_event_type": "DISC",
                    "transport_event_type": "",
                    "event_description": "",
                    "event_datetime": null,
                    "event_classifier": "Estimated",
                    "transport_mode": "Vessel",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Oakland",
                    "location_country": "United States",
                    "unlocode": "USOAK",
                    "location_severity": "OK",
                    "imo_number": "9698252",
                    "vessel_name": "WIDE INDIA",
                    "vessel_severity": "WARNING",
                    "is_custom": true
                },
                {
                    "journey_event_type": "Equipment",
                    "equipment_event_type": "GTOT",
                    "transport_event_type": "",
                    "event_description": "",
                    "event_datetime": null,
                    "event_classifier": "Estimated",
                    "transport_mode": "Truck or rail",
                    "empty_indicator": "",
                    "facility_type": "",
                    "location_name": "Oakland",
                    "location_country": "United States",
                    "unlocode": "USOAK",
                    "location_severity": "OK",
                    "imo_number": "",
                    "vessel_name": "",
                    "vessel_severity": null,
                    "is_custom": true
                }
            ]
        }
    ]
}
Modified at 2026-09-18 08:35:54
Previous
Submit a Container for screening
Next
Archive Container
Built with